<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Профили пользователей</title>
</head>
<body>
<h1>Добавление профиля пользователя</h1>
<form method="post" action="/profiles">
    <label>Имя:
        <input name="firstName" placeholder="Имя">
    </label>
    <label>Фамилия:
        <input name="lastName" placeholder="Фамилия">
    </label>
    <label>Дата рождения:
        <input name="dateOfBirth" placeholder="Дата рождения">
    </label>
    <label>Пол:
        <input name="sex" placeholder="Пол">
    </label>
    <label>Электронная почта:
        <input name="eMail" placeholder="Электронная почта">
    </label>
    <label>Номер мобильного телефона:
        <input name="telephoneNumber" placeholder="Номер мобильного телефона">
    </label>
    <input type="submit" value="Добавить">
</form>
<#if errors??>
    <h1>${errors}</h1>
</#if>
<table>
    <tr>
        <th>ID</th>
        <th>Имя</th>
        <th>Фамилия</th>
        <th>Дата рождения</th>
        <th>Пол</th>
        <th>Электронная почта</th>
        <th>Номер мобильного телефона</th>
        <th>Действия</th>
    </tr>
    <#list profiles as profile>
        <tr>
            <td>${profile.id}</td>
            <td>${profile.firstName}</td>
            <td>${profile.lastName}</td>
            <td>${profile.dateOfBirth}</td>
            <td>${profile.sex}</td>
            <td>${profile.email}</td>
            <td>${profile.telephoneNumber}</td>
            <td>
                <form method="post" action="/profiles/${profile.id}/delete">
                    <input type="submit" value="Удалить">
                </form>
                <a href="/profiles/${profile.id}">Перейти</a>
            </td>
        </tr>
    </#list>
</table>
</body>
</html>